Page MenuHomePhabricator

VisualEditor: Support media (tracking)
Closed, ResolvedPublic0 Story Points

Description

I know this isn't ready yet, but that's why we need a bug in the bug tracker. :)

Steps to repro:

  • create a new page in classic editor
  • include [[Image:Wiki.png]]
  • edit in visual editor
  • save

Expected:
Image should display in edit mode. After saving, nothing should have changed.

Actual:
Image becomes invisible in edit mode. After saving, it turns into literal HTML:
<img src="http://upload.wikimedia.org/wikipedia/commons/b/bc/Wiki.png" alt="Wiki.png" height width="200px"></img>


Version: unspecified
Severity: enhancement

Details

Reference
bz37870

Event Timeline

bzimport raised the priority of this task from to High.
bzimport set Reference to bz37870.
brion created this task.Jun 23 2012, 5:07 PM
brion added a comment.Jun 23 2012, 5:10 PM

Tested in Firefox 16 nightly.

Turn back into the tracker for the overall enhancement.

  • Bug 48254 has been marked as a duplicate of this bug. ***

Related URL: https://gerrit.wikimedia.org/r/68223 (Gerrit Change I547e06dcdb92e19f0159660314187c4f1a62f3ed)

Jdforrester-WMF lowered the priority of this task from High to Normal.Jan 9 2015, 10:55 PM
Jdforrester-WMF closed this task as Resolved.Jan 28 2015, 6:04 AM
Jdforrester-WMF claimed this task.

Replaced with projects.

Replaced with projects.

Which ones? I definitely can't watch the entire VisualEditor-MediaWiki-plugins component.

Jdforrester-WMF removed subtasks: T71726: VisualEditor: Please show the file name in the media dialog, and make it easy to copy it, T71510: VisualEditor: Links added to captions for new images not quite working, T71511: VisualEditor: Link tool is too small when adding captions to new images, T68228: VisualEditor: Some images not displayed in the correct place ? due to floating, T68046: VisualEditor: Be able to specify a file name in the media or image dialog, even if search can't find the file, T69690: [DO NOT USE] Support non-image media (tracking) [superseded by #VisualEditor-MediaWiki-Media], T69689: VisualEditor: Support non-image media (tracking), T64590: VisualEditor: Centred images can appear in VE as overlapped by another image, then can't be selected, T64395: VisualEditor: Backwards cursoring of an image inside an image's caption selects the sub-image, not the main image (and then breaks nastily), T64293: VisualEditor: When an image has a full size which is smaller than the default size, it does not set the default size to the value of full size, T64287: VisualEditor: Caption of nested image is centered in image dialog box, T64286: VisualEditor: Why doesn't the Insert menu in the main editor have the same order as the Insert menu in the Image caption editor?, T64283: VisualEditor: Too many draggable image resizing handlers for frameless, frame, and basic images (thumbnails working as intended), T64279: VisualEditor: [Regression pre-wmf17] Please round image sizes to whole numbers, T64139: VisualEditor: Changing a media item type from "thumbnail" to "frame" doesn't hide the zoom icon, T69162: VisualEditor: Can't tab from Caption to Alt text fields in image media dialog box, in Safari only, T63968: VisualEditor: Image resizing handlers appear on all four corners (not just one / two) if image is in another image's caption editor, T72273: VisualEditor: When image search results are returned very slowly, remove the "No results found" error message, T72243: VisualEditor: Be able to search for an existing image by name, T72244: VisualEditor: Be able to copy the name of an image, T67166: VisualEditor: If you open the image inspector, and the image doesn't have a type specified (like thumb), then you can't get out again, T68736: VisualEditor: Please strip trailing spaces and returns from media or image captions, T58648: VisualEditor: Insert media dialog lets you select an image via mouseup even if mousedown occurred elsewhere, T63564: VisualEditor: Don't allow users to insert images inside images' captions inside images' captions, as MediaWiki can't cope with that, T63565: Stop specifying the (default) size of media items in VisualEditor, T65171: VisualEditor: When using browser zoom, image overlays (resize, edit) become too small and inaccesible, T68460: VisualEditor: Design a good solution for image alignment "none" vs "default", T63367: VisualEditor: Be able to access a display file's description page from within VE (e.g. in the media settings dialog), T63323: VisualEditor: Provide a button in the image dialog box's advanced settings to set "default" alignment for images, T63324: VisualEditor: Don't specify the default alignment for images (in the resulting wikitext), T53293: VisualEditor: Set image alignment in the media dialog, T53292: VisualEditor: It should be clearer to users that they are inserting a media item in an odd place (e.g. into the middle of a word, middle of a paragraph), T56827: VisualEditor: Pressing "enter"/"return" on a selected node should open its dialog, T63282: VisualEditor: Image size is shrinking to a dot size after exceeding a specific value while setting the image size, T51662: VisualEditor: Use Multimedia/Wikidata's proposed rich structured meta-data in the image insertion dialog, T64898: VisualEditor: Image flickers but shield stays in the correct position while dragging the page on Mac, T64850: VisualEditor: Centre floated image next to right floated image means image is shown partially offscreen, and shield is put in the wrong place, T53033: VisualEditor: Ability to switch image used whilst maintaining the caption and other settings, T53032: When inserting an image, set its caption by default to be the Commons image description, T63064: VisualEditor: Odd removal of table inside an image caption, T52996: VisualEditor: Double-clicking on a node (image/template/reference/…) should open its dialog, T56472: VisualEditor: Allow re-positioning of selected media items using arrow keys, T62966: VisualEditor: No vertical scrollbar on insert media (Firefox), T64681: VisualEditor: The image highlight box is not getting redrawn properly while changing image type to thumbnail/frame, T64677: VisualEditor: Merge the media editing and gallery editing dialogs, T64678: VisualEditor: Make CE-surface fixes to make TMH's media items display correctly, T64676: VisualEditor: Be able to set a multimedia item's thumb position (thumbtime=) in the media dialog, T64675: VisualEditor: Be able to set a multimedia item's start position (start=) and end position (end=) in the media dialog, T64674: VisualEditor: Be able to set a multimedia item to not show an icon (noicon) in the media dialog, T64673: VisualEditor: Be able to set a non-image multi-paged item's display page (page=) in the media dialog, T64672: VisualEditor: Be able to set a over-ride link target (link=…) in the media edit dialog, T64670: VisualEditor: Be able to set an item's alignment (baseline/middle/…) in the media edit dialog, T64671: VisualEditor: Be able to set an item's size in upright terms in the media edit dialog, T64669: VisualEditor: Be able to set a over-ride thumbnail (thumb=…) in the media edit dialog, T54657: Users unintentionally add line breaks when inserting or moving images, T52788: VisualEditor: We need a representation of red-linked images, T54463: VisualEditor: Media insertion dialog should display a message if no media is found for the given search, T54461: VisualEditor: Media settings dialog should show a preview of the media item, T57789: VisualEditor: Highlights, resize handles, etc. not repositioned on window resize, T57787: VisualEditor: Highlights triggered while resizing aren't moved correctly, T57767: VisualEditor: Adding an image at the top of a list puts the image inside the list, T50845: VisualEditor: Block-level media items' placement is incorrect (no clear after thumbs), T45836: Set title attribute in inline images and support editing, T52165: VisualEditor: Groups of images are alienated under certain circumstances, T53905: VisualEditor: Inserting media dialog has no confirmation button, T47208: Images: Implement / fix alt= and class= options in images, T53823: VisualEditor: Double-clicking on an image in the image finder inserts it twice, T53764: VisualEditor: Have a "remove from page" button in media settings dialog, T53755: OOjs UI: Dialogs do not horizontally scroll in narrow windows, T47062: VisualEditor: Node API re-write, T48576: Support editing of image and thumbnail options, T40129: VisualEditor: Dialog to manipulate image properties (type, alignment, border, size, caption, alt text), T39920: Parsoid: round-trip images.Feb 25 2015, 8:02 PM
Jdforrester-WMF edited a custom field.
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptNov 6 2018, 12:40 PM